"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaElementType = exports.TextPartType = exports.SchemaVersion = exports.NotificationType = exports.LocaleCode = exports.EventStatus = exports.NotificationHubStatus = exports.NotificationConfigurationStatus = exports.EventRuleStatus = exports.ChannelType = exports.ChannelAssociationOverrideOption = exports.ValidationException = exports.ValidationExceptionReason = exports.ThrottlingException = exports.ServiceQuotaExceededException = exports.ResourceNotFoundException = exports.InternalServerException = exports.ConflictException = exports.AggregationEventType = exports.AggregationDuration = exports.AccountContactType = exports.AccessStatus = exports.AccessDeniedException = void 0;
const NotificationsServiceException_1 = require("./NotificationsServiceException");
class AccessDeniedException extends NotificationsServiceException_1.NotificationsServiceException {
    name = "AccessDeniedException";
    $fault = "client";
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
    }
}
exports.AccessDeniedException = AccessDeniedException;
exports.AccessStatus = {
    DISABLED: "DISABLED",
    ENABLED: "ENABLED",
    PENDING: "PENDING",
};
exports.AccountContactType = {
    ACCOUNT_ALTERNATE_BILLING: "ACCOUNT_ALTERNATE_BILLING",
    ACCOUNT_ALTERNATE_OPERATIONS: "ACCOUNT_ALTERNATE_OPERATIONS",
    ACCOUNT_ALTERNATE_SECURITY: "ACCOUNT_ALTERNATE_SECURITY",
    ACCOUNT_PRIMARY: "ACCOUNT_PRIMARY",
};
exports.AggregationDuration = {
    LONG: "LONG",
    NONE: "NONE",
    SHORT: "SHORT",
};
exports.AggregationEventType = {
    AGGREGATE: "AGGREGATE",
    CHILD: "CHILD",
    NONE: "NONE",
};
class ConflictException extends NotificationsServiceException_1.NotificationsServiceException {
    name = "ConflictException";
    $fault = "client";
    resourceId;
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.resourceId = opts.resourceId;
    }
}
exports.ConflictException = ConflictException;
class InternalServerException extends NotificationsServiceException_1.NotificationsServiceException {
    name = "InternalServerException";
    $fault = "server";
    $retryable = {};
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        Object.setPrototypeOf(this, InternalServerException.prototype);
    }
}
exports.InternalServerException = InternalServerException;
class ResourceNotFoundException extends NotificationsServiceException_1.NotificationsServiceException {
    name = "ResourceNotFoundException";
    $fault = "client";
    resourceId;
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.resourceId = opts.resourceId;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ServiceQuotaExceededException extends NotificationsServiceException_1.NotificationsServiceException {
    name = "ServiceQuotaExceededException";
    $fault = "client";
    resourceType;
    resourceId;
    serviceCode;
    quotaCode;
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.resourceType = opts.resourceType;
        this.resourceId = opts.resourceId;
        this.serviceCode = opts.serviceCode;
        this.quotaCode = opts.quotaCode;
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
class ThrottlingException extends NotificationsServiceException_1.NotificationsServiceException {
    name = "ThrottlingException";
    $fault = "client";
    $retryable = {
        throttling: true,
    };
    serviceCode;
    quotaCode;
    retryAfterSeconds;
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.serviceCode = opts.serviceCode;
        this.quotaCode = opts.quotaCode;
        this.retryAfterSeconds = opts.retryAfterSeconds;
    }
}
exports.ThrottlingException = ThrottlingException;
exports.ValidationExceptionReason = {
    FIELD_VALIDATION_FAILED: "fieldValidationFailed",
    OTHER: "other",
};
class ValidationException extends NotificationsServiceException_1.NotificationsServiceException {
    name = "ValidationException";
    $fault = "client";
    reason;
    fieldList;
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.reason = opts.reason;
        this.fieldList = opts.fieldList;
    }
}
exports.ValidationException = ValidationException;
exports.ChannelAssociationOverrideOption = {
    DISABLED: "DISABLED",
    ENABLED: "ENABLED",
};
exports.ChannelType = {
    ACCOUNT_CONTACT: "ACCOUNT_CONTACT",
    CHATBOT: "CHATBOT",
    EMAIL: "EMAIL",
    MOBILE: "MOBILE",
};
exports.EventRuleStatus = {
    ACTIVE: "ACTIVE",
    CREATING: "CREATING",
    DELETING: "DELETING",
    INACTIVE: "INACTIVE",
    UPDATING: "UPDATING",
};
exports.NotificationConfigurationStatus = {
    ACTIVE: "ACTIVE",
    DELETING: "DELETING",
    INACTIVE: "INACTIVE",
    PARTIALLY_ACTIVE: "PARTIALLY_ACTIVE",
};
exports.NotificationHubStatus = {
    ACTIVE: "ACTIVE",
    DEREGISTERING: "DEREGISTERING",
    INACTIVE: "INACTIVE",
    REGISTERING: "REGISTERING",
};
exports.EventStatus = {
    HEALTHY: "HEALTHY",
    UNHEALTHY: "UNHEALTHY",
};
exports.LocaleCode = {
    de_DE: "de_DE",
    en_CA: "en_CA",
    en_UK: "en_UK",
    en_US: "en_US",
    es_ES: "es_ES",
    fr_CA: "fr_CA",
    fr_FR: "fr_FR",
    id_ID: "id_ID",
    it_IT: "it_IT",
    ja_JP: "ja_JP",
    ko_KR: "ko_KR",
    pt_BR: "pt_BR",
    tr_TR: "tr_TR",
    zh_CN: "zh_CN",
    zh_TW: "zh_TW",
};
exports.NotificationType = {
    ALERT: "ALERT",
    ANNOUNCEMENT: "ANNOUNCEMENT",
    INFORMATIONAL: "INFORMATIONAL",
    WARNING: "WARNING",
};
exports.SchemaVersion = {
    SCHEMA_VERSION_1_0: "v1.0",
};
exports.TextPartType = {
    LOCALIZED_TEXT: "LOCALIZED_TEXT",
    PLAIN_TEXT: "PLAIN_TEXT",
    URL: "URL",
};
exports.MediaElementType = {
    IMAGE: "IMAGE",
};
