import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_CreateNotificationConfigurationCommand, se_CreateNotificationConfigurationCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateNotificationConfigurationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("Notifications", "CreateNotificationConfiguration", {})
    .n("NotificationsClient", "CreateNotificationConfigurationCommand")
    .f(void 0, void 0)
    .ser(se_CreateNotificationConfigurationCommand)
    .de(de_CreateNotificationConfigurationCommand)
    .build() {
}
