import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AssociateChannelCommandInput, AssociateChannelCommandOutput } from "../commands/AssociateChannelCommand";
import { AssociateManagedNotificationAccountContactCommandInput, AssociateManagedNotificationAccountContactCommandOutput } from "../commands/AssociateManagedNotificationAccountContactCommand";
import { AssociateManagedNotificationAdditionalChannelCommandInput, AssociateManagedNotificationAdditionalChannelCommandOutput } from "../commands/AssociateManagedNotificationAdditionalChannelCommand";
import { CreateEventRuleCommandInput, CreateEventRuleCommandOutput } from "../commands/CreateEventRuleCommand";
import { CreateNotificationConfigurationCommandInput, CreateNotificationConfigurationCommandOutput } from "../commands/CreateNotificationConfigurationCommand";
import { DeleteEventRuleCommandInput, DeleteEventRuleCommandOutput } from "../commands/DeleteEventRuleCommand";
import { DeleteNotificationConfigurationCommandInput, DeleteNotificationConfigurationCommandOutput } from "../commands/DeleteNotificationConfigurationCommand";
import { DeregisterNotificationHubCommandInput, DeregisterNotificationHubCommandOutput } from "../commands/DeregisterNotificationHubCommand";
import { DisableNotificationsAccessForOrganizationCommandInput, DisableNotificationsAccessForOrganizationCommandOutput } from "../commands/DisableNotificationsAccessForOrganizationCommand";
import { DisassociateChannelCommandInput, DisassociateChannelCommandOutput } from "../commands/DisassociateChannelCommand";
import { DisassociateManagedNotificationAccountContactCommandInput, DisassociateManagedNotificationAccountContactCommandOutput } from "../commands/DisassociateManagedNotificationAccountContactCommand";
import { DisassociateManagedNotificationAdditionalChannelCommandInput, DisassociateManagedNotificationAdditionalChannelCommandOutput } from "../commands/DisassociateManagedNotificationAdditionalChannelCommand";
import { EnableNotificationsAccessForOrganizationCommandInput, EnableNotificationsAccessForOrganizationCommandOutput } from "../commands/EnableNotificationsAccessForOrganizationCommand";
import { GetEventRuleCommandInput, GetEventRuleCommandOutput } from "../commands/GetEventRuleCommand";
import { GetManagedNotificationChildEventCommandInput, GetManagedNotificationChildEventCommandOutput } from "../commands/GetManagedNotificationChildEventCommand";
import { GetManagedNotificationConfigurationCommandInput, GetManagedNotificationConfigurationCommandOutput } from "../commands/GetManagedNotificationConfigurationCommand";
import { GetManagedNotificationEventCommandInput, GetManagedNotificationEventCommandOutput } from "../commands/GetManagedNotificationEventCommand";
import { GetNotificationConfigurationCommandInput, GetNotificationConfigurationCommandOutput } from "../commands/GetNotificationConfigurationCommand";
import { GetNotificationEventCommandInput, GetNotificationEventCommandOutput } from "../commands/GetNotificationEventCommand";
import { GetNotificationsAccessForOrganizationCommandInput, GetNotificationsAccessForOrganizationCommandOutput } from "../commands/GetNotificationsAccessForOrganizationCommand";
import { ListChannelsCommandInput, ListChannelsCommandOutput } from "../commands/ListChannelsCommand";
import { ListEventRulesCommandInput, ListEventRulesCommandOutput } from "../commands/ListEventRulesCommand";
import { ListManagedNotificationChannelAssociationsCommandInput, ListManagedNotificationChannelAssociationsCommandOutput } from "../commands/ListManagedNotificationChannelAssociationsCommand";
import { ListManagedNotificationChildEventsCommandInput, ListManagedNotificationChildEventsCommandOutput } from "../commands/ListManagedNotificationChildEventsCommand";
import { ListManagedNotificationConfigurationsCommandInput, ListManagedNotificationConfigurationsCommandOutput } from "../commands/ListManagedNotificationConfigurationsCommand";
import { ListManagedNotificationEventsCommandInput, ListManagedNotificationEventsCommandOutput } from "../commands/ListManagedNotificationEventsCommand";
import { ListNotificationConfigurationsCommandInput, ListNotificationConfigurationsCommandOutput } from "../commands/ListNotificationConfigurationsCommand";
import { ListNotificationEventsCommandInput, ListNotificationEventsCommandOutput } from "../commands/ListNotificationEventsCommand";
import { ListNotificationHubsCommandInput, ListNotificationHubsCommandOutput } from "../commands/ListNotificationHubsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { RegisterNotificationHubCommandInput, RegisterNotificationHubCommandOutput } from "../commands/RegisterNotificationHubCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateEventRuleCommandInput, UpdateEventRuleCommandOutput } from "../commands/UpdateEventRuleCommand";
import { UpdateNotificationConfigurationCommandInput, UpdateNotificationConfigurationCommandOutput } from "../commands/UpdateNotificationConfigurationCommand";
/**
 * serializeAws_restJson1AssociateChannelCommand
 */
export declare const se_AssociateChannelCommand: (input: AssociateChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1AssociateManagedNotificationAccountContactCommand
 */
export declare const se_AssociateManagedNotificationAccountContactCommand: (input: AssociateManagedNotificationAccountContactCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1AssociateManagedNotificationAdditionalChannelCommand
 */
export declare const se_AssociateManagedNotificationAdditionalChannelCommand: (input: AssociateManagedNotificationAdditionalChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateEventRuleCommand
 */
export declare const se_CreateEventRuleCommand: (input: CreateEventRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateNotificationConfigurationCommand
 */
export declare const se_CreateNotificationConfigurationCommand: (input: CreateNotificationConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteEventRuleCommand
 */
export declare const se_DeleteEventRuleCommand: (input: DeleteEventRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteNotificationConfigurationCommand
 */
export declare const se_DeleteNotificationConfigurationCommand: (input: DeleteNotificationConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeregisterNotificationHubCommand
 */
export declare const se_DeregisterNotificationHubCommand: (input: DeregisterNotificationHubCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisableNotificationsAccessForOrganizationCommand
 */
export declare const se_DisableNotificationsAccessForOrganizationCommand: (input: DisableNotificationsAccessForOrganizationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisassociateChannelCommand
 */
export declare const se_DisassociateChannelCommand: (input: DisassociateChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisassociateManagedNotificationAccountContactCommand
 */
export declare const se_DisassociateManagedNotificationAccountContactCommand: (input: DisassociateManagedNotificationAccountContactCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisassociateManagedNotificationAdditionalChannelCommand
 */
export declare const se_DisassociateManagedNotificationAdditionalChannelCommand: (input: DisassociateManagedNotificationAdditionalChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1EnableNotificationsAccessForOrganizationCommand
 */
export declare const se_EnableNotificationsAccessForOrganizationCommand: (input: EnableNotificationsAccessForOrganizationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetEventRuleCommand
 */
export declare const se_GetEventRuleCommand: (input: GetEventRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetManagedNotificationChildEventCommand
 */
export declare const se_GetManagedNotificationChildEventCommand: (input: GetManagedNotificationChildEventCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetManagedNotificationConfigurationCommand
 */
export declare const se_GetManagedNotificationConfigurationCommand: (input: GetManagedNotificationConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetManagedNotificationEventCommand
 */
export declare const se_GetManagedNotificationEventCommand: (input: GetManagedNotificationEventCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetNotificationConfigurationCommand
 */
export declare const se_GetNotificationConfigurationCommand: (input: GetNotificationConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetNotificationEventCommand
 */
export declare const se_GetNotificationEventCommand: (input: GetNotificationEventCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetNotificationsAccessForOrganizationCommand
 */
export declare const se_GetNotificationsAccessForOrganizationCommand: (input: GetNotificationsAccessForOrganizationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelsCommand
 */
export declare const se_ListChannelsCommand: (input: ListChannelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListEventRulesCommand
 */
export declare const se_ListEventRulesCommand: (input: ListEventRulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListManagedNotificationChannelAssociationsCommand
 */
export declare const se_ListManagedNotificationChannelAssociationsCommand: (input: ListManagedNotificationChannelAssociationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListManagedNotificationChildEventsCommand
 */
export declare const se_ListManagedNotificationChildEventsCommand: (input: ListManagedNotificationChildEventsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListManagedNotificationConfigurationsCommand
 */
export declare const se_ListManagedNotificationConfigurationsCommand: (input: ListManagedNotificationConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListManagedNotificationEventsCommand
 */
export declare const se_ListManagedNotificationEventsCommand: (input: ListManagedNotificationEventsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListNotificationConfigurationsCommand
 */
export declare const se_ListNotificationConfigurationsCommand: (input: ListNotificationConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListNotificationEventsCommand
 */
export declare const se_ListNotificationEventsCommand: (input: ListNotificationEventsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListNotificationHubsCommand
 */
export declare const se_ListNotificationHubsCommand: (input: ListNotificationHubsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1RegisterNotificationHubCommand
 */
export declare const se_RegisterNotificationHubCommand: (input: RegisterNotificationHubCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateEventRuleCommand
 */
export declare const se_UpdateEventRuleCommand: (input: UpdateEventRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateNotificationConfigurationCommand
 */
export declare const se_UpdateNotificationConfigurationCommand: (input: UpdateNotificationConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1AssociateChannelCommand
 */
export declare const de_AssociateChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateChannelCommandOutput>;
/**
 * deserializeAws_restJson1AssociateManagedNotificationAccountContactCommand
 */
export declare const de_AssociateManagedNotificationAccountContactCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateManagedNotificationAccountContactCommandOutput>;
/**
 * deserializeAws_restJson1AssociateManagedNotificationAdditionalChannelCommand
 */
export declare const de_AssociateManagedNotificationAdditionalChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateManagedNotificationAdditionalChannelCommandOutput>;
/**
 * deserializeAws_restJson1CreateEventRuleCommand
 */
export declare const de_CreateEventRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateEventRuleCommandOutput>;
/**
 * deserializeAws_restJson1CreateNotificationConfigurationCommand
 */
export declare const de_CreateNotificationConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateNotificationConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1DeleteEventRuleCommand
 */
export declare const de_DeleteEventRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteEventRuleCommandOutput>;
/**
 * deserializeAws_restJson1DeleteNotificationConfigurationCommand
 */
export declare const de_DeleteNotificationConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteNotificationConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1DeregisterNotificationHubCommand
 */
export declare const de_DeregisterNotificationHubCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeregisterNotificationHubCommandOutput>;
/**
 * deserializeAws_restJson1DisableNotificationsAccessForOrganizationCommand
 */
export declare const de_DisableNotificationsAccessForOrganizationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisableNotificationsAccessForOrganizationCommandOutput>;
/**
 * deserializeAws_restJson1DisassociateChannelCommand
 */
export declare const de_DisassociateChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateChannelCommandOutput>;
/**
 * deserializeAws_restJson1DisassociateManagedNotificationAccountContactCommand
 */
export declare const de_DisassociateManagedNotificationAccountContactCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateManagedNotificationAccountContactCommandOutput>;
/**
 * deserializeAws_restJson1DisassociateManagedNotificationAdditionalChannelCommand
 */
export declare const de_DisassociateManagedNotificationAdditionalChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateManagedNotificationAdditionalChannelCommandOutput>;
/**
 * deserializeAws_restJson1EnableNotificationsAccessForOrganizationCommand
 */
export declare const de_EnableNotificationsAccessForOrganizationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<EnableNotificationsAccessForOrganizationCommandOutput>;
/**
 * deserializeAws_restJson1GetEventRuleCommand
 */
export declare const de_GetEventRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetEventRuleCommandOutput>;
/**
 * deserializeAws_restJson1GetManagedNotificationChildEventCommand
 */
export declare const de_GetManagedNotificationChildEventCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetManagedNotificationChildEventCommandOutput>;
/**
 * deserializeAws_restJson1GetManagedNotificationConfigurationCommand
 */
export declare const de_GetManagedNotificationConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetManagedNotificationConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetManagedNotificationEventCommand
 */
export declare const de_GetManagedNotificationEventCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetManagedNotificationEventCommandOutput>;
/**
 * deserializeAws_restJson1GetNotificationConfigurationCommand
 */
export declare const de_GetNotificationConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetNotificationConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetNotificationEventCommand
 */
export declare const de_GetNotificationEventCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetNotificationEventCommandOutput>;
/**
 * deserializeAws_restJson1GetNotificationsAccessForOrganizationCommand
 */
export declare const de_GetNotificationsAccessForOrganizationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetNotificationsAccessForOrganizationCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelsCommand
 */
export declare const de_ListChannelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelsCommandOutput>;
/**
 * deserializeAws_restJson1ListEventRulesCommand
 */
export declare const de_ListEventRulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListEventRulesCommandOutput>;
/**
 * deserializeAws_restJson1ListManagedNotificationChannelAssociationsCommand
 */
export declare const de_ListManagedNotificationChannelAssociationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListManagedNotificationChannelAssociationsCommandOutput>;
/**
 * deserializeAws_restJson1ListManagedNotificationChildEventsCommand
 */
export declare const de_ListManagedNotificationChildEventsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListManagedNotificationChildEventsCommandOutput>;
/**
 * deserializeAws_restJson1ListManagedNotificationConfigurationsCommand
 */
export declare const de_ListManagedNotificationConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListManagedNotificationConfigurationsCommandOutput>;
/**
 * deserializeAws_restJson1ListManagedNotificationEventsCommand
 */
export declare const de_ListManagedNotificationEventsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListManagedNotificationEventsCommandOutput>;
/**
 * deserializeAws_restJson1ListNotificationConfigurationsCommand
 */
export declare const de_ListNotificationConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListNotificationConfigurationsCommandOutput>;
/**
 * deserializeAws_restJson1ListNotificationEventsCommand
 */
export declare const de_ListNotificationEventsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListNotificationEventsCommandOutput>;
/**
 * deserializeAws_restJson1ListNotificationHubsCommand
 */
export declare const de_ListNotificationHubsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListNotificationHubsCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1RegisterNotificationHubCommand
 */
export declare const de_RegisterNotificationHubCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RegisterNotificationHubCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateEventRuleCommand
 */
export declare const de_UpdateEventRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateEventRuleCommandOutput>;
/**
 * deserializeAws_restJson1UpdateNotificationConfigurationCommand
 */
export declare const de_UpdateNotificationConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateNotificationConfigurationCommandOutput>;
