import {
  HostHeaderInputConfig,
  HostHeaderResolvedConfig,
} from "@aws-sdk/middleware-host-header";
import {
  UserAgentInputConfig,
  UserAgentResolvedConfig,
} from "@aws-sdk/middleware-user-agent";
import {
  RegionInputConfig,
  RegionResolvedConfig,
} from "@smithy/config-resolver";
import {
  EndpointInputConfig,
  EndpointResolvedConfig,
} from "@smithy/middleware-endpoint";
import {
  RetryInputConfig,
  RetryResolvedConfig,
} from "@smithy/middleware-retry";
import { HttpHandlerUserInput as __HttpHandlerUserInput } from "@smithy/protocol-http";
import {
  Client as __Client,
  DefaultsMode as __DefaultsMode,
  SmithyConfiguration as __SmithyConfiguration,
  SmithyResolvedConfiguration as __SmithyResolvedConfiguration,
} from "@smithy/smithy-client";
import {
  AwsCredentialIdentityProvider,
  BodyLengthCalculator as __BodyLengthCalculator,
  CheckOptionalClientConfig as __CheckOptionalClientConfig,
  ChecksumConstructor as __ChecksumConstructor,
  Decoder as __Decoder,
  Encoder as __Encoder,
  HashConstructor as __HashConstructor,
  HttpHandlerOptions as __HttpHandlerOptions,
  Logger as __Logger,
  Provider as __Provider,
  Provider,
  StreamCollector as __StreamCollector,
  UrlParser as __UrlParser,
  UserAgent as __UserAgent,
} from "@smithy/types";
import {
  HttpAuthSchemeInputConfig,
  HttpAuthSchemeResolvedConfig,
} from "./auth/httpAuthSchemeProvider";
import {
  AssociateChannelCommandInput,
  AssociateChannelCommandOutput,
} from "./commands/AssociateChannelCommand";
import {
  AssociateManagedNotificationAccountContactCommandInput,
  AssociateManagedNotificationAccountContactCommandOutput,
} from "./commands/AssociateManagedNotificationAccountContactCommand";
import {
  AssociateManagedNotificationAdditionalChannelCommandInput,
  AssociateManagedNotificationAdditionalChannelCommandOutput,
} from "./commands/AssociateManagedNotificationAdditionalChannelCommand";
import {
  CreateEventRuleCommandInput,
  CreateEventRuleCommandOutput,
} from "./commands/CreateEventRuleCommand";
import {
  CreateNotificationConfigurationCommandInput,
  CreateNotificationConfigurationCommandOutput,
} from "./commands/CreateNotificationConfigurationCommand";
import {
  DeleteEventRuleCommandInput,
  DeleteEventRuleCommandOutput,
} from "./commands/DeleteEventRuleCommand";
import {
  DeleteNotificationConfigurationCommandInput,
  DeleteNotificationConfigurationCommandOutput,
} from "./commands/DeleteNotificationConfigurationCommand";
import {
  DeregisterNotificationHubCommandInput,
  DeregisterNotificationHubCommandOutput,
} from "./commands/DeregisterNotificationHubCommand";
import {
  DisableNotificationsAccessForOrganizationCommandInput,
  DisableNotificationsAccessForOrganizationCommandOutput,
} from "./commands/DisableNotificationsAccessForOrganizationCommand";
import {
  DisassociateChannelCommandInput,
  DisassociateChannelCommandOutput,
} from "./commands/DisassociateChannelCommand";
import {
  DisassociateManagedNotificationAccountContactCommandInput,
  DisassociateManagedNotificationAccountContactCommandOutput,
} from "./commands/DisassociateManagedNotificationAccountContactCommand";
import {
  DisassociateManagedNotificationAdditionalChannelCommandInput,
  DisassociateManagedNotificationAdditionalChannelCommandOutput,
} from "./commands/DisassociateManagedNotificationAdditionalChannelCommand";
import {
  EnableNotificationsAccessForOrganizationCommandInput,
  EnableNotificationsAccessForOrganizationCommandOutput,
} from "./commands/EnableNotificationsAccessForOrganizationCommand";
import {
  GetEventRuleCommandInput,
  GetEventRuleCommandOutput,
} from "./commands/GetEventRuleCommand";
import {
  GetManagedNotificationChildEventCommandInput,
  GetManagedNotificationChildEventCommandOutput,
} from "./commands/GetManagedNotificationChildEventCommand";
import {
  GetManagedNotificationConfigurationCommandInput,
  GetManagedNotificationConfigurationCommandOutput,
} from "./commands/GetManagedNotificationConfigurationCommand";
import {
  GetManagedNotificationEventCommandInput,
  GetManagedNotificationEventCommandOutput,
} from "./commands/GetManagedNotificationEventCommand";
import {
  GetNotificationConfigurationCommandInput,
  GetNotificationConfigurationCommandOutput,
} from "./commands/GetNotificationConfigurationCommand";
import {
  GetNotificationEventCommandInput,
  GetNotificationEventCommandOutput,
} from "./commands/GetNotificationEventCommand";
import {
  GetNotificationsAccessForOrganizationCommandInput,
  GetNotificationsAccessForOrganizationCommandOutput,
} from "./commands/GetNotificationsAccessForOrganizationCommand";
import {
  ListChannelsCommandInput,
  ListChannelsCommandOutput,
} from "./commands/ListChannelsCommand";
import {
  ListEventRulesCommandInput,
  ListEventRulesCommandOutput,
} from "./commands/ListEventRulesCommand";
import {
  ListManagedNotificationChannelAssociationsCommandInput,
  ListManagedNotificationChannelAssociationsCommandOutput,
} from "./commands/ListManagedNotificationChannelAssociationsCommand";
import {
  ListManagedNotificationChildEventsCommandInput,
  ListManagedNotificationChildEventsCommandOutput,
} from "./commands/ListManagedNotificationChildEventsCommand";
import {
  ListManagedNotificationConfigurationsCommandInput,
  ListManagedNotificationConfigurationsCommandOutput,
} from "./commands/ListManagedNotificationConfigurationsCommand";
import {
  ListManagedNotificationEventsCommandInput,
  ListManagedNotificationEventsCommandOutput,
} from "./commands/ListManagedNotificationEventsCommand";
import {
  ListNotificationConfigurationsCommandInput,
  ListNotificationConfigurationsCommandOutput,
} from "./commands/ListNotificationConfigurationsCommand";
import {
  ListNotificationEventsCommandInput,
  ListNotificationEventsCommandOutput,
} from "./commands/ListNotificationEventsCommand";
import {
  ListNotificationHubsCommandInput,
  ListNotificationHubsCommandOutput,
} from "./commands/ListNotificationHubsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "./commands/ListTagsForResourceCommand";
import {
  RegisterNotificationHubCommandInput,
  RegisterNotificationHubCommandOutput,
} from "./commands/RegisterNotificationHubCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "./commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "./commands/UntagResourceCommand";
import {
  UpdateEventRuleCommandInput,
  UpdateEventRuleCommandOutput,
} from "./commands/UpdateEventRuleCommand";
import {
  UpdateNotificationConfigurationCommandInput,
  UpdateNotificationConfigurationCommandOutput,
} from "./commands/UpdateNotificationConfigurationCommand";
import {
  ClientInputEndpointParameters,
  ClientResolvedEndpointParameters,
  EndpointParameters,
} from "./endpoint/EndpointParameters";
import { RuntimeExtension, RuntimeExtensionsConfig } from "./runtimeExtensions";
export { __Client };
export type ServiceInputTypes =
  | AssociateChannelCommandInput
  | AssociateManagedNotificationAccountContactCommandInput
  | AssociateManagedNotificationAdditionalChannelCommandInput
  | CreateEventRuleCommandInput
  | CreateNotificationConfigurationCommandInput
  | DeleteEventRuleCommandInput
  | DeleteNotificationConfigurationCommandInput
  | DeregisterNotificationHubCommandInput
  | DisableNotificationsAccessForOrganizationCommandInput
  | DisassociateChannelCommandInput
  | DisassociateManagedNotificationAccountContactCommandInput
  | DisassociateManagedNotificationAdditionalChannelCommandInput
  | EnableNotificationsAccessForOrganizationCommandInput
  | GetEventRuleCommandInput
  | GetManagedNotificationChildEventCommandInput
  | GetManagedNotificationConfigurationCommandInput
  | GetManagedNotificationEventCommandInput
  | GetNotificationConfigurationCommandInput
  | GetNotificationEventCommandInput
  | GetNotificationsAccessForOrganizationCommandInput
  | ListChannelsCommandInput
  | ListEventRulesCommandInput
  | ListManagedNotificationChannelAssociationsCommandInput
  | ListManagedNotificationChildEventsCommandInput
  | ListManagedNotificationConfigurationsCommandInput
  | ListManagedNotificationEventsCommandInput
  | ListNotificationConfigurationsCommandInput
  | ListNotificationEventsCommandInput
  | ListNotificationHubsCommandInput
  | ListTagsForResourceCommandInput
  | RegisterNotificationHubCommandInput
  | TagResourceCommandInput
  | UntagResourceCommandInput
  | UpdateEventRuleCommandInput
  | UpdateNotificationConfigurationCommandInput;
export type ServiceOutputTypes =
  | AssociateChannelCommandOutput
  | AssociateManagedNotificationAccountContactCommandOutput
  | AssociateManagedNotificationAdditionalChannelCommandOutput
  | CreateEventRuleCommandOutput
  | CreateNotificationConfigurationCommandOutput
  | DeleteEventRuleCommandOutput
  | DeleteNotificationConfigurationCommandOutput
  | DeregisterNotificationHubCommandOutput
  | DisableNotificationsAccessForOrganizationCommandOutput
  | DisassociateChannelCommandOutput
  | DisassociateManagedNotificationAccountContactCommandOutput
  | DisassociateManagedNotificationAdditionalChannelCommandOutput
  | EnableNotificationsAccessForOrganizationCommandOutput
  | GetEventRuleCommandOutput
  | GetManagedNotificationChildEventCommandOutput
  | GetManagedNotificationConfigurationCommandOutput
  | GetManagedNotificationEventCommandOutput
  | GetNotificationConfigurationCommandOutput
  | GetNotificationEventCommandOutput
  | GetNotificationsAccessForOrganizationCommandOutput
  | ListChannelsCommandOutput
  | ListEventRulesCommandOutput
  | ListManagedNotificationChannelAssociationsCommandOutput
  | ListManagedNotificationChildEventsCommandOutput
  | ListManagedNotificationConfigurationsCommandOutput
  | ListManagedNotificationEventsCommandOutput
  | ListNotificationConfigurationsCommandOutput
  | ListNotificationEventsCommandOutput
  | ListNotificationHubsCommandOutput
  | ListTagsForResourceCommandOutput
  | RegisterNotificationHubCommandOutput
  | TagResourceCommandOutput
  | UntagResourceCommandOutput
  | UpdateEventRuleCommandOutput
  | UpdateNotificationConfigurationCommandOutput;
export interface ClientDefaults
  extends Partial<__SmithyConfiguration<__HttpHandlerOptions>> {
  requestHandler?: __HttpHandlerUserInput;
  sha256?: __ChecksumConstructor | __HashConstructor;
  urlParser?: __UrlParser;
  bodyLengthChecker?: __BodyLengthCalculator;
  streamCollector?: __StreamCollector;
  base64Decoder?: __Decoder;
  base64Encoder?: __Encoder;
  utf8Decoder?: __Decoder;
  utf8Encoder?: __Encoder;
  runtime?: string;
  disableHostPrefix?: boolean;
  serviceId?: string;
  useDualstackEndpoint?: boolean | __Provider<boolean>;
  useFipsEndpoint?: boolean | __Provider<boolean>;
  region?: string | __Provider<string>;
  profile?: string;
  defaultUserAgentProvider?: Provider<__UserAgent>;
  credentialDefaultProvider?: (input: any) => AwsCredentialIdentityProvider;
  maxAttempts?: number | __Provider<number>;
  retryMode?: string | __Provider<string>;
  logger?: __Logger;
  extensions?: RuntimeExtension[];
  defaultsMode?: __DefaultsMode | __Provider<__DefaultsMode>;
}
export type NotificationsClientConfigType = Partial<
  __SmithyConfiguration<__HttpHandlerOptions>
> &
  ClientDefaults &
  UserAgentInputConfig &
  RetryInputConfig &
  RegionInputConfig &
  HostHeaderInputConfig &
  EndpointInputConfig<EndpointParameters> &
  HttpAuthSchemeInputConfig &
  ClientInputEndpointParameters;
export interface NotificationsClientConfig
  extends NotificationsClientConfigType {}
export type NotificationsClientResolvedConfigType =
  __SmithyResolvedConfiguration<__HttpHandlerOptions> &
    Required<ClientDefaults> &
    RuntimeExtensionsConfig &
    UserAgentResolvedConfig &
    RetryResolvedConfig &
    RegionResolvedConfig &
    HostHeaderResolvedConfig &
    EndpointResolvedConfig<EndpointParameters> &
    HttpAuthSchemeResolvedConfig &
    ClientResolvedEndpointParameters;
export interface NotificationsClientResolvedConfig
  extends NotificationsClientResolvedConfigType {}
export declare class NotificationsClient extends __Client<
  __HttpHandlerOptions,
  ServiceInputTypes,
  ServiceOutputTypes,
  NotificationsClientResolvedConfig
> {
  readonly config: NotificationsClientResolvedConfig;
  constructor(
    ...[configuration]: __CheckOptionalClientConfig<NotificationsClientConfig>
  );
  destroy(): void;
}
